import React from "react";
import PropTypes from "prop-types";
import styling from "@devcake/styling";
import '../init'
import { useStyle } from "../../Scope";

styling.setDefault("components.label.classes", "text-sm font-semibold text-gray-800");

export interface LabelProps {
  children: React.ReactNode;
  className?: string;
}

export const Label = ({ children, className }: LabelProps) => {
  const [classes] = useStyle(["components.label.classes"]);
  return (
    <div
      className={[className, classes].join(" ")}
    >
      {children}
    </div>
  );
};

Label.propTypes = {
  children: PropTypes.element.isRequired,
  className: PropTypes.string
};